Update a Project Member - Cognigy Documentation

Update a Project Member

PATCH /v2.0/projects/{projectId}/members/{userId}

Use this endpoint to update a project member's allowed locales.

Request Example

curl --request PATCH \
  --url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{
  "allowedLocales": [
    {
      "localeId": "<string>"
    }
  ]
}'

Python Example

import requests

url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId}"

payload = { "allowedLocales": [{ "localeId": "<string>" }] }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch) Example

const options = {
  method: 'PATCH',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({allowedLocales: [{localeId: '<string>'}]})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/members/{userId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'allowedLocales' => [
        [
            'localeId' => '<string>'
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Response Codes

Authorization

Body Parameters

Path Parameters